@mixin posa_c {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
}

@mixin posa_l {
	position: absolute;
	left: 50%;
	transform: translateX(-50%);
}

@mixin posa_t {
	position: absolute;
	top: 50%;
	transform: translateY(-50%);
}

@mixin p_all($offset: 0) {
	left: $offset;
	top: $offset;
	right: $offset;
	bottom: $offset;
}

@mixin p_ltr($offset: 0) {
	left: $offset;
	top: $offset;
	right: $offset;
}

@mixin p_lbr($offset: 0) {
	left: $offset;
	bottom: $offset;
	right: $offset;
}

@mixin p_lr($offset: 0) {
	left: $offset;
	right: $offset;
}